---
title: Getting started with XMPP
author: Santiago Forero
date: 2021-10-18T18:14:26-05:00
---

The Extensible Messaging and Presence Protocol (XMPP) is the universal messaging standard, it allows you to exchange information (mainly messages) in real-time between networks.

XMPP is decentralized, which means that it is not owned or controlled by a single entity or company, instead, XMPP is run and maintained by a global network of people like you or me.

It uses the [client-server model](https://en.wikipedia.org/wiki/Client%E2%80%93server_model), basically, it means that clients don't connect to each other directly, instead, every client connects to an intermediary server that sends the info to the other client. XMPP works with addresses that look exactly like e-mail addresses.

## Benefits
- **Stable and decentralized:** As I said before XMPP is decentralized meaning that it will never be down!
- **Encrypted:** XMPP can encrypt data sent between clients using [OMEMO](https://en.wikipedia.org/wiki/OMEMO) or [PGB](https://en.wikipedia.org/wiki/Pretty_Good_Privacy) denoting that not even server admins can see the messages sent among clients.
- **Extensible:** You can customize it to meet your requirements, luckily there are several extensions that allow you to [use IRC](https://doc.biboumi.louiz.org/9.0/index.html) or matrix on XMPP.
- **Multiplatform:** It works almost everywhere!2

## Cool, how do I use it?
Getting started with XMPP is pretty easy, first, you'll need to download and install a client, I recommend [dino](https://dino.im/) for desktops and [conversations](https://conversations.im/) for android.

Then you'll need an XMPP account, in order to get one you have to choose a [public server](https://list.jabber.at/) (just choose one that has a cool domain name) and follow their instructions.

Third log in, you will need to provide an address and a password for your previously created account.

You are done! You now need to add people to your contacts and join rooms, there are several rooms available, [here is a nice list](https://search.jabber.network/rooms/1). Everything is very intuitive (:

## The end
Thank you for reading this post! Don't forget to add me to your contact list as [forero@xmpp.is](xmpp:forero@xmpp.is).